> ## Documentation Index
> Fetch the complete documentation index at: https://docs.peec.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Tag

> Update a tag within a project



## OpenAPI

````yaml https://api.peec.ai/customer/v1/openapi/json patch /tags/{tag_id}
openapi: 3.0.3
info:
  title: Peec AI Customer API
  description: Development documentation
  version: 1.0.0
  contact:
    name: Peec AI Team
    email: support@peec.ai
servers:
  - url: https://api.peec.ai/customer/v1
security: []
paths:
  /tags/{tag_id}:
    patch:
      tags:
        - Project
      summary: Update Tag
      description: Update a tag within a project
      operationId: patchTagsByTag_id
      parameters:
        - name: tag_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                color:
                  type: string
                  enum:
                    - gray
                    - red
                    - orange
                    - yellow
                    - lime
                    - green
                    - cyan
                    - blue
                    - purple
                    - fuchsia
                    - pink
                    - emerald
                    - amber
                    - violet
                    - indigo
                    - teal
                    - sky
                    - rose
                    - slate
                    - zinc
                    - neutral
                    - stone
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                color:
                  type: string
                  enum:
                    - gray
                    - red
                    - orange
                    - yellow
                    - lime
                    - green
                    - cyan
                    - blue
                    - purple
                    - fuchsia
                    - pink
                    - emerald
                    - amber
                    - violet
                    - indigo
                    - teal
                    - sky
                    - rose
                    - slate
                    - zinc
                    - neutral
                    - stone
          multipart/form-data:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                color:
                  type: string
                  enum:
                    - gray
                    - red
                    - orange
                    - yellow
                    - lime
                    - green
                    - cyan
                    - blue
                    - purple
                    - fuchsia
                    - pink
                    - emerald
                    - amber
                    - violet
                    - indigo
                    - teal
                    - sky
                    - rose
                    - slate
                    - zinc
                    - neutral
                    - stone
      responses:
        '200':
          description: Tag updated successfully
          content:
            application/json:
              schema:
                type: object
                properties: {}
                description: Tag updated successfully
        '403':
          description: Response for status 403
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
        '404':
          description: Response for status 404
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
        '409':
          description: Response for status 409
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - APIKeyHeader: []
        - APIKeyQuery: []
        - BearerAuth: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
    APIKeyQuery:
      type: apiKey
      in: query
      name: api_key
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````